Subject: Re: [netconf] Adoption call for draft-wang-netconf-adaptive-subscription

From: Peng Liu<[email-masked]>
Date: 12 Jan 2022 14:44:47 +0800

Hi WG,

As the co-author, I think the draft is mature enough and support the adoption.

Regards,

Peng

Peng Liu | 刘鹏

China Mobile | 移动研究院

mobile phone：13810146105

email:  [email-masked]

From: Mahesh Jethanandani

Date: 2022-01-11 06:07

To: Netconf

CC: draft-wang-netconf-adaptive-subscription

Subject: [netconf] Adoption call for draft-wang-netconf-adaptive-subscription

 Hi WG,

The authors posted -08 version of the draft just before the new year, which addressed the comments they received in IETF 112.

 https://www.ietf.org/archive/id/draft-wang-netconf-adaptive-subscription-08.txt

This starts a 2 week poll ending on January 24, to decide whether this document should be made a WG document or not. Please reply to this email whether or not you support adoption of this draft by the WG. Indications that the draft has been read will be also be appreciated. The Intended Status of the draft is Standards Track.

A separate IPR call will be issued on the draft.

Thanks.

Mahesh Jethanandani

[email-masked]

---

From: "Wei Wang" <[email-masked]>
Date: Wed, 12 Jan 2022 15:03:51 +0800

Hi WG,

&nbsp; &nbsp;As the co-author, I support the adoption call of this draft.

Best Regards,
Wei
China Telecom
------------------ Original ------------------
From:                                                                                                                        "Mahesh Jethanandani"                                                                                    <[email-masked]&gt;;
Date:&nbsp;Tue, Jan 11, 2022 06:07 AM
To:&nbsp;"Netconf"<[email-masked]&gt;;
Cc:&nbsp;"draft-wang-netconf-adaptive-subscription"<[email-masked]&gt;;
Subject:&nbsp;[netconf] Adoption call for draft-wang-netconf-adaptive-subscription

Hi WG,

&nbsp;https://www.ietf.org/archive/id/draft-wang-netconf-adaptive-subscription-08.txt

Thanks.
 
Mahesh Jethanandani
[email-masked]

---

From: Qin Wu <[email-masked]>
Date: Mon, 17 Jan 2022 13:26:17 +0000

+1, Support.

-Qin
发件人: netconf [mailto:[email-masked]] 代表 maqiufang (A)
发送时间: 2022年1月13日 14:45
收件人: Mahesh Jethanandani <[email-masked]>; Netconf <[email-masked]>
抄送: [email-masked]
主题: Re: [netconf] Adoption call for draft-wang-netconf-adaptive-subscription

Hi, all
As a coauthor, I support the adoption of this work.

Best Regards,
Qiufang

From: netconf [mailto:[email-masked]] On Behalf Of Mahesh Jethanandani
Sent: Tuesday, January 11, 2022 6:07 AM
To: Netconf <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [netconf] Adoption call for draft-wang-netconf-adaptive-subscription

Hi WG,

Thanks.

Mahesh Jethanandani
[email-masked]<mailto:[email-masked]>

---

From: 刘永博 <[email-masked]>
Date: Wed, 26 Jan 2022 18:55:03 +0800 (GMT+08:00)

Hi, all
I ‘ve read this document and support the adoption of this work.
 
We are currently paying our attention to some work about how telemetry can help solving closed loop automation and the future intent based networking.
If there exists a mechanism to allow the server to adjust the period automatically, it makes it possible to quickly adapt to network condition changes and detects real-time network failure, while reduce resource consumption (e.g., network bandwidth, telemetry data processing, telemetry data storage).
I believe this work is definitely a useful piece.
 
After reading the draft, I have the following comments:
·         Section 1 Introduction
o   " The periodic interval is set to zero value in the on-change subscription case. "
I am not sure this statement is accurate enough, as defined in RFC8641, for on-change notification, update trigger occurs whenever a change in the subscribed datastore nodes is detected. And YANG-PUSH also allows a subscriber to set a dampening-period, it may be zero but doesn’t have to be, right?
·         Section 2.1 Subscription Configuration
o   Is the parameter “watermark” necessary here? As your usage example shown in Appendix, the XPATH evaluation expression can already indicate the threshold value, so what’s the consideration to define a “watermark” data node?
·         Section 4 Adaptive Subscription YANG Module
o   Is there a need to define “centiseconds” and “seconds” in your YANG module? I haven’t seen you use the type “seconds” and “centiseconds” has already been defined in RFC8641. Since you import ietf-yang-push module, there is no such a need to define it again, right?
·         Section 5 IANA Considerations
o   Both sec 5.1 and sec 5.2 states that this document registers two URIs/YANG modules, but there is only one URI and a single YANG module has been defined.

Thanks,
Yongbo Liu
  
From: netconf [mailto:[email-masked]] On Behalf Of Mahesh Jethanandani
 Sent: Tuesday, January 25, 2022 6:19 AM
 To: Netconf <[email-masked]>
 Cc: [email-masked]
 Subject: Re: [netconf] Adoption call for draft-wang-netconf-adaptive-subscription

We have received a tepid response to this adoption call, and are therefore extending this adoption call by another two weeks to February 7. At that time, and unless we receive any objections, we are going to go ahead and adopt this draft.

We are aware of least two implementations of YANG Push, and this draft is an extension of that work.

Cheers

On Jan 10, 2022, at 2:07 PM, Mahesh Jethanandani <[email-masked]> wrote:

Hi WG,

Thanks.

Mahesh and Kent (as co-chairs)